Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class ConnectionInfo

    java.lang.Object
      |
      +--com.bea.wlai.client.ConnectionInfo

public class ConnectionInfo
extends java.lang.Object
implements java.io.Serializable

Represents the major information for an adapter within WLAI. This information is a subset of the information contained in the ra.xml resource adapter descriptor for the adapter.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getEisType()`
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getObjectName()`
`java.lang.String` | `getVendorName()`
`java.lang.String` | `getVersion()`
`int` | `hashCode()`
`boolean` | `isValid()`
`void` | `setDescription(java.lang.String description)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setEisType(java.lang.String eisType)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setName(java.lang.String name)`
`void` | `setObjectName(java.lang.String objectName)`
`void` | `setVendorName(java.lang.String vendorName)`
`void` | `setVersion(java.lang.String version)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getEisType

    public java.lang.String getEisType()

### setEisType

    public void setEisType(java.lang.String eisType)

### getVendorName

    public java.lang.String getVendorName()

### setVendorName

    public void setVendorName(java.lang.String vendorName)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getJndiName

    public java.lang.String getJndiName()

### setJndiName

    public void setJndiName(java.lang.String jndiName)

### getObjectName

    public java.lang.String getObjectName()

### setObjectName

    public void setObjectName(java.lang.String objectName)

### isValid

    public boolean isValid()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)